searchNodes=[{"doc":"Defines the %APIauth{} struct used to store authentication data for SOAP API calls.","ref":"APIauth.html","title":"APIauth","type":"module"},{"doc":"Defines the %GSISdata{} struct used by the functions of the Process module to process and store the response of the GSIS SOAP API in a usable format.","ref":"GSISdata.html","title":"GSISdata","type":"module"},{"doc":"Defines the %NACEactivity{} struct to store parsed information about company activities.","ref":"NACEactivity.html","title":"NACEactivity","type":"module"},{"doc":"Defines the %Results{} struct that gets progressively enriched with information from the API.","ref":"Results.html","title":"Results","type":"module"},{"doc":"Main module of VatchexGreece that contains high-level functions that the user typically will interact with.","ref":"VatchexGreece.html","title":"VatchexGreece","type":"module"},{"doc":"Pull information from the web service for the target VAT ID :afm_called_for , by the source VAT ID :afm_called_by , with authentication parameters :username and :password . To create the authentication credentials: Sign up to the &quot;wspublicreg&quot; service using your TAXISnet credentials. Create &quot;special access codes&quot; through the &quot;Διαχείριση Ειδικών Κωδικών&quot; application on TAXISnet . Regarding the target and source VAT IDs, you will typically pass a valid 9-digit VAT ID, with or without the &quot;EL&quot; prefix. The &quot;EL&quot; prefix will get stripped. Older VAT IDs only have 8 digits, and will get leading-zero-padded to 9 digits. Note: the function minimizes and checks the source and target VAT IDs, and only sends the request to the API if both minimized VAT IDs are valid.","ref":"VatchexGreece.html#fetch/1","title":"VatchexGreece.fetch/1","type":"function"},{"doc":"Same as VatchexGreece.fetch/1 , but the resulting tuple is unwrapped. Returns nil if there were errors, otherwise it returns the resulting data.","ref":"VatchexGreece.html#fetch!/1","title":"VatchexGreece.fetch!/1","type":"function"},{"doc":"Pull information from the web service for the target VAT ID afm_called_for defined in the Results struct that has first been created with new/4 . Note: the function minimizes and checks the source and target VAT IDs, and only sends the request to the API if both minimized VAT IDs are valid.","ref":"VatchexGreece.html#get/1","title":"VatchexGreece.get/1","type":"function"},{"doc":"Define a new struct that will be manipulated from containing only the minimal information required to query the SOAP API, to containing the complete request, the SOAP API response, and the parsed information thereof into the corresponding structs.","ref":"VatchexGreece.html#new/4","title":"VatchexGreece.new/4","type":"function"},{"doc":"Process the response and convert it to a map within a response tuple.","ref":"VatchexGreece.Process.html","title":"VatchexGreece.Process","type":"module"},{"doc":"Extract list of activities from the XML of the response body and convert the resulting map to a list of NACEactivity structs.","ref":"VatchexGreece.Process.html#extract_activities/1","title":"VatchexGreece.Process.extract_activities/1","type":"function"},{"doc":"Extract strings of attribute within the XML of the response body.","ref":"VatchexGreece.Process.html#extract_string/2","title":"VatchexGreece.Process.extract_string/2","type":"function"},{"doc":"Parse the XML of the response body and update the Results struct.","ref":"VatchexGreece.Process.html#parse/1","title":"VatchexGreece.Process.parse/1","type":"function"},{"doc":"Prepare and post a request to the SOAP web service.","ref":"VatchexGreece.Request.html","title":"VatchexGreece.Request","type":"module"},{"doc":"POST the XML request with proper headers to the SOAP web service.","ref":"VatchexGreece.Request.html#post/1","title":"VatchexGreece.Request.post/1","type":"function"},{"doc":"","ref":"VatchexGreece.Request.html#prepare/1","title":"VatchexGreece.Request.prepare/1","type":"function"},{"doc":"Prepare the request's XML template based on the VAT ID you call for), and authentication settings (username, password, VAT ID you call from).","ref":"VatchexGreece.Request.html#to_xml/4","title":"VatchexGreece.Request.to_xml/4","type":"function"},{"doc":"Module with functions used to validate Greek VAT IDs.","ref":"VatchexGreece.Validate.html","title":"VatchexGreece.Validate","type":"module"},{"doc":"Check whether both VAT IDs passed (as strings) are valid. If not, log the corresponding error in the results struct.","ref":"VatchexGreece.Validate.html#all_valid/1","title":"VatchexGreece.Validate.all_valid/1","type":"function"},{"doc":"Check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#check_correct_checksum/1","title":"VatchexGreece.Validate.check_correct_checksum/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#check_correct_checksum!/1","title":"VatchexGreece.Validate.check_correct_checksum!/1","type":"function"},{"doc":"Check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#check_only_digits/1","title":"VatchexGreece.Validate.check_only_digits/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#check_only_digits!/1","title":"VatchexGreece.Validate.check_only_digits!/1","type":"function"},{"doc":"Check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#check_proper_length/1","title":"VatchexGreece.Validate.check_proper_length/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#check_proper_length!/1","title":"VatchexGreece.Validate.check_proper_length!/1","type":"function"},{"doc":"Boolean check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#correct_checksum?/1","title":"VatchexGreece.Validate.correct_checksum?/1","type":"function"},{"doc":"Remove the &quot;EL&quot; or &quot;GR&quot; prefixes if present, remove any whitespace (leading, trailing, or internal), and return the VAT ID's minimal valid representation, including adding a leading &quot;0&quot; in case the provided ID had 8 digits (old format).","ref":"VatchexGreece.Validate.html#minimize/1","title":"VatchexGreece.Validate.minimize/1","type":"function"},{"doc":"Boolean check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#only_digits?/1","title":"VatchexGreece.Validate.only_digits?/1","type":"function"},{"doc":"Boolean check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#proper_length?/1","title":"VatchexGreece.Validate.proper_length?/1","type":"function"},{"doc":"Check whether the VAT ID passed (as string) is valid, i.e. it has the correct length (9 total, and only digits), where the last digit is equal to the checksum calculate from the first 8 digits.","ref":"VatchexGreece.Validate.html#valid?/1","title":"VatchexGreece.Validate.valid?/1","type":"function"},{"doc":"VatchexGreece An Elixir library to easily pull company information from the RgWsPublic2 SOAP web service (new since 2023-04-20) of the Greek General Secretariat of Information Systems for Public Administration (GSIS) using the Tax Identification Number ( Αριθμός Φορολογικού Μητρώου , abbreviated as &quot;ΑΦΜ&quot; or &quot;Α.Φ.Μ.&quot;). Note: this project is a volunteer effort and not in any way affiliated with GSIS or the data service providers of the Greek Ministry of Finance.","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package is available on Hex and can be installed by adding vatchex_greece to your list of dependencies in mix.exs . def deps do [ { :vatchex_greece , &quot;~&gt; 0.8.0&quot; } , ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"Refer to the documentation on HexDocs .","ref":"readme.html#usage","title":"README - Usage","type":"extras"},{"doc":"v0.8.0 Replaced HTTPoison with Req . New fetch/1 and fetch!/1 functions that deprecate the chaining of new/4 and get/1 . v0.7.0 Now compatible with the RgWsPublic2 SOAP web service (new since 2023-04-20). Now possible to make SOAP API calls using different credentials in %Auth{} structs, e.g. for multi-tenant setups. Now needs no application setup in config.exs or mix.exs , thanks to getting rid of the Soap library due to parsing issues, and because it seems abandoned and not particularly robust to begin with. XML parsing is now handled directly with SweetXml . Actual logging of errors in the %Results{} struct means you can find out what went wrong. Actual handling of errors (with {:ok, ...} and {:error, ...} tuples along the pipeline across all modules means that no API call or parsing of the XML response body is made unless no errors have popped up.","ref":"readme.html#changelog","title":"README - Changelog","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/vatchex_greece . There's also an Elixir Forum thread .","ref":"readme.html#documentation","title":"README - Documentation","type":"extras"}]